* {
  margin: 0;
  padding: 0;
}

html {
  box-sizing: border-box;
    font-family: Inter, Roboto, 'Helvetica Neue', 'Arial Nova', 'Nimbus Sans', Arial, sans-serif;
font-weight: normal;
}

html, body {
  height: 100%;
}

*, *:before, *:after {
  box-sizing: inherit;
}

body {
  text-align: center;
}

input[type=number] {
  width: 40px;
}

#preview {
  aspect-ratio: 9 / 16;
  background: #EAEAEA;
  margin: 1em auto;
  height: 90%;
  position: relative;
  padding: 1em;
  display: flex;
}

#files {
  margin: 2em auto;
}

canvas {
  aspect-ratio: 9 / 16;
  height: 100%;
  width: 100%;
  background: yellow;
}

#controls {
  position: absolute;
  background: black;
  left: 2em;
  right: 2em;
  bottom: 2em;
  border-radius: 1em;
  height: 8em;
  color: white;
}

input[type=button] {
  border: 0;
  height: fit-content;
  border-radius: 1em;
  color: white;
  text-transform: uppercase;
  background: #555;
  padding: 1em;
}

input[type=button]:hover {
  background: #333;
}

#sorting-list {
  list-style-type: none;
  display: flex;
  justify-content: space-evenly;
  overflow-y: scroll;
}

#sorting-list img {
  max-height: 60px;
}

#sorting-list li {
    padding-right: 1em;
}
#sorting-list li:last-child {
  padding-right: 0;
}

#tab-headers {
  padding-top: 1em;
  justify-content: space-evenly;
  list-style-type: none;
  display: flex;
}
#tab-headers li a {
  color: rgb(106, 106, 106);
  text-transform: uppercase;
  text-decoration: none;
}

#controls section {
  padding: 1em;
  display: none;
  height: 100px;
  align-items: center;
}

#controls[data-open-tab=photos] a[href="#photos"],
#controls[data-open-tab=border] a[href="#border"],
#controls[data-open-tab=export] a[href="#export"] {
  color: white;
}

#controls[data-open-tab=photos] section[name=photos],
#controls[data-open-tab=border] section[name=border],
#controls[data-open-tab=export] section[name=export] {
  display: flex;
}

label {
  font-size: small;
  text-transform: uppercase;
  color: #999;
}

fieldset {
  text-align: center;
  padding: 0 1em;
  display: flex;
  flex-direction: column;
  border: 0;
}

fieldset input {
  height: 2em;
  margin-bottom: 1em;
}

#save {

}